Bug 449022 - Require issue type when updating issue
Require issue type when updating issue
Status: CLOSED CURRENTRELEASE
Product: Issue-Tracker
Classification: Retired
Component: Issue Metadata (Show other bugs)
MR12
All All
low Severity low
: ---
: ---
Assigned To: Lisa Lu
Nicole Yancey
:
Depends On:
Blocks: 504655
  Show dependency treegraph
 
Reported: 2008-05-29 17:40 EDT by Mike Amburn
Modified: 2009-07-27 08:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-27 08:41:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Amburn 2008-05-29 17:40:14 EDT
If an issue has not be assigned an issue type
- display --- SELECT --- as the first option
- require a value other than the first option to update case

If an issue has been assigned an issue type
- display --- SELECT --- as the first option
- require a value other than the first option to update case
Comment 1 Lisa Lu 2009-06-10 10:43:25 EDT
Mike/Tom,

Do you want ticket type to be a required field for just GSS groups or all groups cross board?

I ran a quick query in the db, the following Business Units/divisions don't use
ticket type field:
  - Facility
  - Finance(Order Entry/Billing)
  - GPS
  - GES
  - Sales
  - GLS (training)
  - GSS(Knowledge/gss-lab/GSS Internal Customer Escalations)

Lisa
Comment 3 Lisa Lu 2009-06-12 10:50:29 EDT
Per conversion with Tom, this requirement will only apply to GSS queues, ie groups that are member of the following super groups:
  - APAC-Partner
  - APAC-TAM
  - EMEA-Partner
  - EMEA-TAM
  - JBoss Customers
  - JBoss Escalations
  - MetaMatrix
  - MetaMatrix Evals
  - NA-Partner
  - NA-TAM
  - RHEV
  - SolidICE
  - Support Escalations

Lisa
Comment 4 Nicole Yancey 2009-06-16 08:58:23 EDT
fails on http://cspserver2.app.dev.redhat.com

'This field is required' warning message is duplicated multiple times if user hit Commit Data/ Create Issue button multiple times.  Lisa is aware of issue.
Comment 5 Nicole Yancey 2009-06-17 08:35:08 EDT
verified on http://cspserver2.app.dev.redhat.com

- Issue Type is required for new and existing tickets for GSS queues
- Issue type is not required for new and existing tickets that are not GSS queues
Comment 6 Nicole Yancey 2009-06-17 08:55:58 EDT
Assign back to lisa

Type field is not required on IE - The warning message is not prompting users the Type field is required
Comment 7 Nicole Yancey 2009-06-17 08:58:51 EDT
(In reply to comment #6)
> Assign back to lisa
> 
> Type field is not required on IE v.7.0.5730.0 - The warning message is not prompting users
> the Type field is required
Comment 8 Nicole Yancey 2009-06-17 11:58:08 EDT
verified on http://cspserver2.app.dev.redhat.com

Warning message on IE7 - Please update ticket type field
Warning message on IE8 - This field is required
Comment 9 Nicole Yancey 2009-07-14 13:46:37 EDT
verified on http://enterprise.webqa.redhat.com/issue-tracker
Comment 10 Nicole Yancey 2009-07-16 15:33:52 EDT
verified on https://enterprise.stage.redhat.com/issue-tracker
Comment 11 Nicole Yancey 2009-07-27 08:41:19 EDT
Released to Production 7/25

Note You need to log in before you can comment on or make changes to this bug.